"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteCacheSubnetGroup_1 = require("../model/operations/DeleteCacheSubnetGroup");
var DeleteCacheSubnetGroupCommand = /** @class */ (function () {
    function DeleteCacheSubnetGroupCommand(input) {
        this.input = input;
        this.model = DeleteCacheSubnetGroup_1.DeleteCacheSubnetGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteCacheSubnetGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteCacheSubnetGroupCommand;
}());
exports.DeleteCacheSubnetGroupCommand = DeleteCacheSubnetGroupCommand;
//# sourceMappingURL=DeleteCacheSubnetGroupCommand.js.map