"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeCacheSubnetGroups_1 = require("../model/operations/DescribeCacheSubnetGroups");
var DescribeCacheSubnetGroupsCommand = /** @class */ (function () {
    function DescribeCacheSubnetGroupsCommand(input) {
        this.input = input;
        this.model = DescribeCacheSubnetGroups_1.DescribeCacheSubnetGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeCacheSubnetGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeCacheSubnetGroupsCommand;
}());
exports.DescribeCacheSubnetGroupsCommand = DescribeCacheSubnetGroupsCommand;
//# sourceMappingURL=DescribeCacheSubnetGroupsCommand.js.map