import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeServiceUpdatesInput } from "../types/DescribeServiceUpdatesInput";
import { DescribeServiceUpdatesOutput } from "../types/DescribeServiceUpdatesOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/DescribeServiceUpdatesInput";
export * from "../types/DescribeServiceUpdatesOutput";
export * from "../types/DescribeServiceUpdatesExceptionsUnion";
export declare class DescribeServiceUpdatesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeServiceUpdatesInput, OutputTypesUnion, DescribeServiceUpdatesOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: DescribeServiceUpdatesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeServiceUpdatesInput, DescribeServiceUpdatesOutput, Blob>;
    constructor(input: DescribeServiceUpdatesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<DescribeServiceUpdatesInput, DescribeServiceUpdatesOutput>;
}
