"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeServiceUpdates_1 = require("../model/operations/DescribeServiceUpdates");
var DescribeServiceUpdatesCommand = /** @class */ (function () {
    function DescribeServiceUpdatesCommand(input) {
        this.input = input;
        this.model = DescribeServiceUpdates_1.DescribeServiceUpdates;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeServiceUpdatesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeServiceUpdatesCommand;
}());
exports.DescribeServiceUpdatesCommand = DescribeServiceUpdatesCommand;
//# sourceMappingURL=DescribeServiceUpdatesCommand.js.map