import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyReplicationGroupInput } from "../types/ModifyReplicationGroupInput";
import { ModifyReplicationGroupOutput } from "../types/ModifyReplicationGroupOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/ModifyReplicationGroupInput";
export * from "../types/ModifyReplicationGroupOutput";
export * from "../types/ModifyReplicationGroupExceptionsUnion";
export declare class ModifyReplicationGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyReplicationGroupInput, OutputTypesUnion, ModifyReplicationGroupOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: ModifyReplicationGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyReplicationGroupInput, ModifyReplicationGroupOutput, Blob>;
    constructor(input: ModifyReplicationGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<ModifyReplicationGroupInput, ModifyReplicationGroupOutput>;
}
