"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyReplicationGroupShardConfiguration_1 = require("../model/operations/ModifyReplicationGroupShardConfiguration");
var ModifyReplicationGroupShardConfigurationCommand = /** @class */ (function () {
    function ModifyReplicationGroupShardConfigurationCommand(input) {
        this.input = input;
        this.model = ModifyReplicationGroupShardConfiguration_1.ModifyReplicationGroupShardConfiguration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyReplicationGroupShardConfigurationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyReplicationGroupShardConfigurationCommand;
}());
exports.ModifyReplicationGroupShardConfigurationCommand = ModifyReplicationGroupShardConfigurationCommand;
//# sourceMappingURL=ModifyReplicationGroupShardConfigurationCommand.js.map