"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateCacheSubnetGroupInput_1 = require("../shapes/CreateCacheSubnetGroupInput");
var CreateCacheSubnetGroupOutput_1 = require("../shapes/CreateCacheSubnetGroupOutput");
var CacheSubnetGroupAlreadyExistsFault_1 = require("../shapes/CacheSubnetGroupAlreadyExistsFault");
var CacheSubnetGroupQuotaExceededFault_1 = require("../shapes/CacheSubnetGroupQuotaExceededFault");
var CacheSubnetQuotaExceededFault_1 = require("../shapes/CacheSubnetQuotaExceededFault");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateCacheSubnetGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateCacheSubnetGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateCacheSubnetGroupInput_1.CreateCacheSubnetGroupInput
    },
    output: {
        shape: CreateCacheSubnetGroupOutput_1.CreateCacheSubnetGroupOutput,
        resultWrapper: "CreateCacheSubnetGroupResult"
    },
    errors: [
        {
            shape: CacheSubnetGroupAlreadyExistsFault_1.CacheSubnetGroupAlreadyExistsFault
        },
        {
            shape: CacheSubnetGroupQuotaExceededFault_1.CacheSubnetGroupQuotaExceededFault
        },
        {
            shape: CacheSubnetQuotaExceededFault_1.CacheSubnetQuotaExceededFault
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        }
    ]
};
//# sourceMappingURL=CreateCacheSubnetGroup.js.map