"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeCacheSubnetGroupsInput_1 = require("../shapes/DescribeCacheSubnetGroupsInput");
var DescribeCacheSubnetGroupsOutput_1 = require("../shapes/DescribeCacheSubnetGroupsOutput");
var CacheSubnetGroupNotFoundFault_1 = require("../shapes/CacheSubnetGroupNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeCacheSubnetGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeCacheSubnetGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeCacheSubnetGroupsInput_1.DescribeCacheSubnetGroupsInput
    },
    output: {
        shape: DescribeCacheSubnetGroupsOutput_1.DescribeCacheSubnetGroupsOutput,
        resultWrapper: "DescribeCacheSubnetGroupsResult"
    },
    errors: [
        {
            shape: CacheSubnetGroupNotFoundFault_1.CacheSubnetGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeCacheSubnetGroups.js.map