"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _NodeGroupUpdateStatusList_1 = require("./_NodeGroupUpdateStatusList");
exports._UpdateAction = {
    type: "structure",
    required: [],
    members: {
        ReplicationGroupId: {
            shape: {
                type: "string"
            }
        },
        ServiceUpdateName: {
            shape: {
                type: "string"
            }
        },
        ServiceUpdateReleaseDate: {
            shape: {
                type: "timestamp"
            }
        },
        ServiceUpdateSeverity: {
            shape: {
                type: "string"
            }
        },
        ServiceUpdateStatus: {
            shape: {
                type: "string"
            }
        },
        ServiceUpdateRecommendedApplyByDate: {
            shape: {
                type: "timestamp"
            }
        },
        ServiceUpdateType: {
            shape: {
                type: "string"
            }
        },
        UpdateActionAvailableDate: {
            shape: {
                type: "timestamp"
            }
        },
        UpdateActionStatus: {
            shape: {
                type: "string"
            }
        },
        NodesUpdated: {
            shape: {
                type: "string"
            }
        },
        UpdateActionStatusModifiedDate: {
            shape: {
                type: "timestamp"
            }
        },
        SlaMet: {
            shape: {
                type: "string"
            }
        },
        NodeGroupUpdateStatus: {
            shape: _NodeGroupUpdateStatusList_1._NodeGroupUpdateStatusList
        },
        EstimatedUpdateTime: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_UpdateAction.js.map