import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchApplyUpdateActionInput } from "../types/BatchApplyUpdateActionInput";
import { BatchApplyUpdateActionOutput } from "../types/BatchApplyUpdateActionOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/BatchApplyUpdateActionInput";
export * from "../types/BatchApplyUpdateActionOutput";
export * from "../types/BatchApplyUpdateActionExceptionsUnion";
export declare class BatchApplyUpdateActionCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchApplyUpdateActionInput, OutputTypesUnion, BatchApplyUpdateActionOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: BatchApplyUpdateActionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchApplyUpdateActionInput, BatchApplyUpdateActionOutput, Blob>;
    constructor(input: BatchApplyUpdateActionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<BatchApplyUpdateActionInput, BatchApplyUpdateActionOutput>;
}
