import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateCacheParameterGroupInput } from "../types/CreateCacheParameterGroupInput";
import { CreateCacheParameterGroupOutput } from "../types/CreateCacheParameterGroupOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/CreateCacheParameterGroupInput";
export * from "../types/CreateCacheParameterGroupOutput";
export * from "../types/CreateCacheParameterGroupExceptionsUnion";
export declare class CreateCacheParameterGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateCacheParameterGroupInput, OutputTypesUnion, CreateCacheParameterGroupOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: CreateCacheParameterGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateCacheParameterGroupInput, CreateCacheParameterGroupOutput, Blob>;
    constructor(input: CreateCacheParameterGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<CreateCacheParameterGroupInput, CreateCacheParameterGroupOutput>;
}
