import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateCacheSubnetGroupInput } from "../types/CreateCacheSubnetGroupInput";
import { CreateCacheSubnetGroupOutput } from "../types/CreateCacheSubnetGroupOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/CreateCacheSubnetGroupInput";
export * from "../types/CreateCacheSubnetGroupOutput";
export * from "../types/CreateCacheSubnetGroupExceptionsUnion";
export declare class CreateCacheSubnetGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateCacheSubnetGroupInput, OutputTypesUnion, CreateCacheSubnetGroupOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: CreateCacheSubnetGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateCacheSubnetGroupInput, CreateCacheSubnetGroupOutput, Blob>;
    constructor(input: CreateCacheSubnetGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<CreateCacheSubnetGroupInput, CreateCacheSubnetGroupOutput>;
}
