import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeCacheClustersInput } from "../types/DescribeCacheClustersInput";
import { DescribeCacheClustersOutput } from "../types/DescribeCacheClustersOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/DescribeCacheClustersInput";
export * from "../types/DescribeCacheClustersOutput";
export * from "../types/DescribeCacheClustersExceptionsUnion";
export declare class DescribeCacheClustersCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeCacheClustersInput, OutputTypesUnion, DescribeCacheClustersOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: DescribeCacheClustersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeCacheClustersInput, DescribeCacheClustersOutput, Blob>;
    constructor(input: DescribeCacheClustersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<DescribeCacheClustersInput, DescribeCacheClustersOutput>;
}
