import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyCacheClusterInput } from "../types/ModifyCacheClusterInput";
import { ModifyCacheClusterOutput } from "../types/ModifyCacheClusterOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/ModifyCacheClusterInput";
export * from "../types/ModifyCacheClusterOutput";
export * from "../types/ModifyCacheClusterExceptionsUnion";
export declare class ModifyCacheClusterCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyCacheClusterInput, OutputTypesUnion, ModifyCacheClusterOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: ModifyCacheClusterInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyCacheClusterInput, ModifyCacheClusterOutput, Blob>;
    constructor(input: ModifyCacheClusterInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<ModifyCacheClusterInput, ModifyCacheClusterOutput>;
}
