"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeReservedCacheNodesOfferingsInput_1 = require("../shapes/DescribeReservedCacheNodesOfferingsInput");
var DescribeReservedCacheNodesOfferingsOutput_1 = require("../shapes/DescribeReservedCacheNodesOfferingsOutput");
var ReservedCacheNodesOfferingNotFoundFault_1 = require("../shapes/ReservedCacheNodesOfferingNotFoundFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReservedCacheNodesOfferings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReservedCacheNodesOfferings",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeReservedCacheNodesOfferingsInput_1.DescribeReservedCacheNodesOfferingsInput
    },
    output: {
        shape: DescribeReservedCacheNodesOfferingsOutput_1.DescribeReservedCacheNodesOfferingsOutput,
        resultWrapper: "DescribeReservedCacheNodesOfferingsResult"
    },
    errors: [
        {
            shape: ReservedCacheNodesOfferingNotFoundFault_1.ReservedCacheNodesOfferingNotFoundFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DescribeReservedCacheNodesOfferings.js.map