"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PurchaseReservedCacheNodesOfferingInput_1 = require("../shapes/PurchaseReservedCacheNodesOfferingInput");
var PurchaseReservedCacheNodesOfferingOutput_1 = require("../shapes/PurchaseReservedCacheNodesOfferingOutput");
var ReservedCacheNodesOfferingNotFoundFault_1 = require("../shapes/ReservedCacheNodesOfferingNotFoundFault");
var ReservedCacheNodeAlreadyExistsFault_1 = require("../shapes/ReservedCacheNodeAlreadyExistsFault");
var ReservedCacheNodeQuotaExceededFault_1 = require("../shapes/ReservedCacheNodeQuotaExceededFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PurchaseReservedCacheNodesOffering = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PurchaseReservedCacheNodesOffering",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PurchaseReservedCacheNodesOfferingInput_1.PurchaseReservedCacheNodesOfferingInput
    },
    output: {
        shape: PurchaseReservedCacheNodesOfferingOutput_1.PurchaseReservedCacheNodesOfferingOutput,
        resultWrapper: "PurchaseReservedCacheNodesOfferingResult"
    },
    errors: [
        {
            shape: ReservedCacheNodesOfferingNotFoundFault_1.ReservedCacheNodesOfferingNotFoundFault
        },
        {
            shape: ReservedCacheNodeAlreadyExistsFault_1.ReservedCacheNodeAlreadyExistsFault
        },
        {
            shape: ReservedCacheNodeQuotaExceededFault_1.ReservedCacheNodeQuotaExceededFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=PurchaseReservedCacheNodesOffering.js.map