"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _NodeGroupConfiguration_1 = require("./_NodeGroupConfiguration");
exports._NodeSnapshot = {
    type: "structure",
    required: [],
    members: {
        CacheClusterId: {
            shape: {
                type: "string"
            }
        },
        NodeGroupId: {
            shape: {
                type: "string"
            }
        },
        CacheNodeId: {
            shape: {
                type: "string"
            }
        },
        NodeGroupConfiguration: {
            shape: _NodeGroupConfiguration_1._NodeGroupConfiguration
        },
        CacheSize: {
            shape: {
                type: "string"
            }
        },
        CacheNodeCreateTime: {
            shape: {
                type: "timestamp"
            }
        },
        SnapshotCreateTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_NodeSnapshot.js.map